%global pkgvers 0
%global scdate0 20240605
%global schash0 bea6a0ffb566eb1172d748e09cdd1778c72d8fd3
%global branch0 master
%global source0 https://gerrit.osmocom.org/osmo-sgsn.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           osmo-sgsn
Version:        1.11.1
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Osmocom 3GPP Serving GPRS Support Node
License:        AGPLv3

URL:            https://github.com/osmocom/osmo-sgsn

BuildRequires:  git gcc autoconf automake libtool doxygen systemd
BuildRequires:  c-ares-devel libosmocore-devel libosmo-netif-devel libosmo-abis-devel
BuildRequires:  osmo-ggsn-devel osmo-hlr-devel

%global _lto_cflags %{nil}
%undefine _hardened_build
%undefine _annotated_build

%description
Osmocom implementation of the 3GPP Serving GPRS Support Node (SGSN).

%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%global optflags %(echo %optflags | sed 's|-Wp,-D_GLIBCXX_ASSERTIONS||g')
autoreconf -fi
%configure --enable-shared \
           --disable-static

# Fix unused direct shlib dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags} VERBOSE=0


%install
make install DESTDIR=%{buildroot}
# Remove libtool archives
find %{buildroot} -name '*.la' -exec rm -f {} \;


%check
make check || true


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc README.md
%doc %{_docdir}/%{name}
%license COPYING
%{_bindir}/*
%{_unitdir}/*
%config %{_sysconfdir}/*


%changelog
* Sun Aug 26 2018 Cristian Balint <cristian.balint@gmail.com>
- git update release
